# Uses of Interface
org.eclipse.birt.chart.device.IDisplayServer

Packages that use IDisplayServer
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of IDisplayServer in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation with parameters of type IDisplayServer
Modifier and Type
Method
Description
`void`
BIRTChartComputation.`applyWrapping(IDisplayServer xs, Label la, double dWrapping)`
`void`
IChartComputation.`applyWrapping(IDisplayServer xs, Label la, double dWapping)`
Apply the wrapping to a label.
`Size`
LegendBuilder.`compute(IDisplayServer xs, Chart cm, SeriesDefinition[] seda, RunTimeContext rtc)`
Computes the size of the legend.
`BoundingBox`
BIRTChartComputation.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
`BoundingBox`
IChartComputation.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
Compute the bounding box ( location and size ) of a label.
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, double dWrapping)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, double dWrapping, Double fontHeight)`
`static final BoundingBox`
Methods.`computeBox(IDisplayServer xs, ITextMetrics itm, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`double`
BIRTChartComputation.`computeFontHeight(IDisplayServer xs, Label la)`
`double`
IChartComputation.`computeFontHeight(IDisplayServer xs, Label la)`
Convenient method to compute the font's height of a label.
`static double`
Methods.`computeFontHeight(IDisplayServer xs, Label la)`
Convenient method to compute the font's height of a label.
`double`
BIRTChartComputation.`computeHeight(IDisplayServer xs, Label la)`
`double`
IChartComputation.`computeHeight(IDisplayServer xs, Label la)`
Compute the height of a label.
`static final double`
Methods.`computeHeight(IDisplayServer xs, Label la)`
`BoundingBox`
BIRTChartComputation.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
`BoundingBox`
IChartComputation.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
Compute the size of a label.
`static final BoundingBox`
Methods.`computeLabelSize(IDisplayServer xs, Label la, double dWrapping, Double fontHeight)`
Compute the size of a label.
`RotatedRectangle`
BIRTChartComputation.`computePolygon(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`RotatedRectangle`
IChartComputation.`computePolygon(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
Compute the bounding polygon of a label.
`static final RotatedRectangle`
Methods.`computePolygon(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY)`
`static final RotatedRectangle`
Methods.`computePolygon(IDisplayServer xs, int iLabelLocation, Label la, double dX, double dY, Double fontHeight)`
`static final Location`
Methods.`computeRotatedTopPoint(IDisplayServer xs, BoundingBox bbox, Label la, double fullHeight)`
`double`
BIRTChartComputation.`computeWidth(IDisplayServer xs, Label la)`
`double`
IChartComputation.`computeWidth(IDisplayServer xs, Label la)`
Compute the width of a label.
`static final double`
Methods.`computeWidth(IDisplayServer xs, Label la)`
`double`
LabelLimiter.`computeWrapping(IDisplayServer xs, Label la)`
`static final double`
LabelLimiter.`computeWrapping(IDisplayServer xs, Label la, LabelLimiter lbLimit)`
Compute the wrapping with maxWidth, maxHeight.
`static EllipsisHelper.ITester`
EllipsisHelper.`createSimpleTester(IChartComputation cComp, IDisplayServer xs, Label la, Double fontHeight)`
`ITextMetrics`
BIRTChartComputation.`getTextMetrics(IDisplayServer xs, Label la, double wrapping)`
`ITextMetrics`
IChartComputation.`getTextMetrics(IDisplayServer xs, Label la, double wrapping)`
Returns a text metrics.
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la)`
modify the text of la to fit the limit size.
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, EnumSet<LabelLimiter.Option> options)`
modify the text of la to fit the limit size.
`static final LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, LabelLimiter lbLimit, EnumSet<LabelLimiter.Option> options)`
To compute the text of the label with a limited size, the label text will be wrapped and shortened with ellipsis if required, the size of the label bound will be returned.
`static EllipsisHelper`
EllipsisHelper.`simpleInstance(IChartComputation cComp, IDisplayServer xs, Label la, Double fontHeight)`
Constructors in org.eclipse.birt.chart.computation with parameters of type IDisplayServer
Modifier
Constructor
Description
``
`PlotComputation(IDisplayServer ids, RunTimeContext rtc, Chart cm)`

## Uses of IDisplayServer in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return IDisplayServer
Modifier and Type
Method
Description
`final IDisplayServer`
PlotWithAxes.`getDisplayServer()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type IDisplayServer
Modifier and Type
Method
Description
`boolean`
AutoScale.`checkFit(IDisplayServer xs, Label la, int iLabelLocation)`
Checks all labels for any overlap for a given axis' scale
`double`
AutoScale.`computeAxisLabelThickness(IDisplayServer xs, Label la, int iOrientation)`
`double`
AutoScale.`computeStaggeredAxisLabelOffset(IDisplayServer xs, Label la, int iOrientation)`
`int`
AutoScale.`computeTicks(IDisplayServer xs, Label la, int iLabelLocation, int iOrientation, double dStart, double dEnd, boolean bConsiderStartLabel, boolean bConsiderEndLabel, AllAxes aax)`
`int`
AutoScale.`computeTicks(IDisplayServer xs, Label la, int iLabelLocation, int iOrientation, double dStart, double dEnd, boolean bConsiderStartEndLabels, AllAxes aax)`
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type IDisplayServer
Modifier
Constructor
Description
``
`PlotWith2DAxes(IDisplayServer _ids, ChartWithAxes _cwa, RunTimeContext _rtc)`
The default constructor
``
`PlotWith3DAxes(IDisplayServer _ids, ChartWithAxes _cwa, RunTimeContext _rtc)`
``
`PlotWithAxes(IDisplayServer ids, RunTimeContext rtc, ChartWithAxes cwa)`

## Uses of IDisplayServer in org.eclipse.birt.chart.computation.withoutaxes

Constructors in org.eclipse.birt.chart.computation.withoutaxes with parameters of type IDisplayServer
Modifier
Constructor
Description
``
`PlotWithoutAxes(IDisplayServer xs, ChartWithoutAxes cwoa, RunTimeContext rtc)`
The constructor.

## Uses of IDisplayServer in org.eclipse.birt.chart.device

Classes in org.eclipse.birt.chart.device that implement IDisplayServer
Modifier and Type
Class
Description
`class`
`DisplayAdapter`
A no-op adapter implementation for the `IDisplayServer`interface definition.
Methods in org.eclipse.birt.chart.device that return IDisplayServer
Modifier and Type
Method
Description
`IDisplayServer`
DeviceAdapter.`getDisplayServer()`
`IDisplayServer`
IDeviceRenderer.`getDisplayServer()`
Returns an instance of the low level display server capable of providing text metrics, screen resolution, etc.

## Uses of IDisplayServer in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return IDisplayServer
Modifier and Type
Method
Description
`IDisplayServer`
GeneratedChartState.`getDisplayServer()`
Returns an instance of a display server used in building the chart content.
Methods in org.eclipse.birt.chart.factory with parameters of type IDisplayServer
Modifier and Type
Method
Description
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, org.mozilla.javascript.Scriptable scParent, Bounds bo, RunTimeContext rtc)`
Deprecated.
use `Generator.build(IDisplayServer, Chart, Bounds, IExternalContext, RunTimeContext)` instead.
`GeneratedChartState`
Generator.`build(IDisplayServer ids, Chart cmRunTime, org.mozilla.javascript.Scriptable scParent, Bounds bo, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Deprecated.
use `Generator.build(IDisplayServer, Chart, Bounds, IExternalContext, RunTimeContext, IStyleProcessor)` instead.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.
`GeneratedChartState`
IGenerator.`build(IDisplayServer ids, Chart cmDesignTime, Bounds bo, IExternalContext externalContext, RunTimeContext rtc, org.eclipse.birt.chart.style.IStyleProcessor externalProcessor)`
Builds and computes preferred sizes of various chart components offscreen using the provided display server.

## Uses of IDisplayServer in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout with parameters of type IDisplayServer
Modifier and Type
Method
Description
`Size`
Block.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
Computes and returns the size of the title block based on the text content and its attributes

## Uses of IDisplayServer in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type IDisplayServer
Modifier and Type
Method
Description
`Size`
BlockImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final Size`
LabelBlockImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final Size`
LegendImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`

## Uses of IDisplayServer in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return IDisplayServer
Modifier and Type
Method
Description
`final IDisplayServer`
BaseRenderer.`getXServer()`
Methods in org.eclipse.birt.chart.render with parameters of type IDisplayServer
Modifier and Type
Method
Description
`double[]`
IAxesDecorator.`computeDecorationThickness(IDisplayServer xs, OneAxis ax)`
Returns the thickness for use with decoration.
`final void`
BaseRenderer.`set(IDisplayServer _xs)`
Sets the diplay server for current renderer.